# core-image-tester
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

"""Cloud support functions"""

from swiftclient.service import (
    SwiftService,
    SwiftUploadObject,
)


def upload_to_swift(tarball_path, target_filename, container_name,
                    nova_config):
    service = SwiftService(nova_config)
    # Consume all swift interactions (one for the container and another
    # for the tarball object).
    results = list(
        service.upload(
            container_name,
            [
                SwiftUploadObject(tarball_path, object_name=target_filename)
            ]
        )
    )
    # Return the last result, if the container creation fails, the object
    # upload will also fail.
    return results[-1]['success']
